# configure vim host
- hosts: devstack
  tasks:
    - name: kill apt
      command: killall {{ item }}
      become: yes
      loop:
        - apt-get
        - /usr/lib/apt/apt.systemd.daily
        - dpkg
      ignore_errors: yes

    - name: fix dpkg
      command: dpkg --configure -a
      become: yes
      ignore_errors: yes

    - name: apt update cache
      apt:
        update_cache: yes
      become: yes

    # TODO tag it and bag it
    - name: Git checkout
      ansible.builtin.git:
        repo: 'https://opendev.org/openstack/devstack'
        dest: /home/rvn/devstack

    - name: Create conf file for dev stack
      copy:
        dest: /home/rvn/devstack/local.conf
        content: |
          [[local|localrc]]
          ADMIN_PASSWORD=secret
          DATABASE_PASSWORD=$ADMIN_PASSWORD
          RABBIT_PASSWORD=$ADMIN_PASSWORD
          SERVICE_PASSWORD=$ADMIN_PASSWORD

    - name: install devstack
      command: ./stack.sh
      args:
        chdir: /home/rvn/devstack

    - name: copy over images
      copy:
        src: ../files/{{ item }}
        dest: /etc/openstack/{{ item }}
        mode: 0644
      loop:
        - xenial-server-cloudimg-amd64-disk1.img

    - name: add ubuntu image to openstack
      command: openstack --os-cloud devstack-admin image create --file="/etc/openstack/xenial-server-cloudimg-amd64-disk1.img" --container-format=bare --disk-format=qcow2 --public ubuntu16.04
